Whether all notes are being deleted
GET
/api/v1/saga/notes-deletion
const url = 'https://api.yggy.tech/api/v1/saga/notes-deletion';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/saga/notes-deletion \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Deletion status
Media type application/json
object
state
required
Running: notes are being deleted. failed: the last run gave up; ask again to retry.
string
requestedAt
required
When the running or failed deletion was asked for. Notes written after it are kept.
string | null
Example
{ "state": "idle"}Not your own yggy notes workspace
Media type application/json
object
success
required
boolean
error
required
object
code
required
string
message
required
string
details
Example
{ "success": false}